Skip to content

Brand Research

v1.0.0
OpenAPI 3.1.0

Upriver API

A social insights API for ad generation platforms. It provides structured signals, like psychographics, behavioral insights, trends, and audience language, to help AI models generate relevant, higher-converting ads.

Server:https://api.upriver.ai

Production API server

Client Libraries

Brand Research

Provides details for a brand including identity, target audience, and brand language. Returns structured data optimized for chaining into the Audience Insights endpoint.

Input Options:

  • Provide brand_name and/or brand_url
Body·BrandInput
required
application/json

Input model for brand research endpoint.

  • brand_url
    Type: string · Brand Urlnullable

    The brand website URL to research. HTTP URLs are upgraded to HTTPS.

  • brand_name
    Type: string · Brand Namenullable

    The brand name to research

  • include
    Type: array string[] · Include

    Optional list of extra data to include in the response. Supported values: 'colors'. When 'colors' is included, brand colors are extracted from the website CSS and logos.

Responses
  • application/json
  • application/json
Request Example for post/v1/brand/research
curl https://api.upriver.ai/v1/brand/research \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: YOUR_SECRET_TOKEN' \
  --data '{
  "brand_url": "https://www.bose.com"
}'
{
  "brand": {
    "name": "string",
    "url": "string",
    "description": "string",
    "identity": {
      "mission": "string",
      "values": [
        "string"
      ],
      "tagline": "string",
      "language": {
        "tone": "string",
        "key_phrases": [
          "string"
        ]
      }
    },
    "colors": {
      "additionalProperty": "anything"
    },
    "note": "string"
  },
  "industries": [
    "string"
  ],
  "audience": {
    "description": "string"
  },
  "metadata": {
    "additionalProperty": "anything"
  },
  "effort": "auto"
}